Bug 491647 - Review Request: taglib-extras - Taglib support for other formats
Review Request: taglib-extras - Taglib support for other formats
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-23 09:42 EDT by Rex Dieter
Modified: 2016-08-14 12:27 EDT (History)
6 users (show)

See Also:
Fixed In Version: 0.1.2-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-12 17:42:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2009-03-23 09:42:05 EDT
Spec URL: http://rdieter.fedorapeople.org/pkg-reviews/taglib-extras/taglib-extras.spec
SRPM URL: http://rdieter.fedorapeople.org/pkg-reviews/taglib-extras/taglib-extras-0.1-2.fc10.src.rpm
Description:
Taglib-extras delivers support for reading and editing the meta-data of 
audio formats not supported by taglib, including: asf, mp4v2, rmff, wav.


Only parses/edits container metadata, no decoding, but may still have encumbrance issues.
Comment 1 Rex Dieter 2009-03-23 09:42:50 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1254385
Comment 2 Rex Dieter 2009-03-23 09:43:21 EDT
Blocking FE-legal, pending legal review.
Comment 3 Tom "spot" Callaway 2009-03-23 09:53:43 EDT
Looks like this is just tagging and meta-data. I'm going to say this is permissable based on my current understanding of the legal space. Lifting FE-Legal.
Comment 4 Eelko Berkenpies 2009-03-24 05:57:13 EDT
I had no problems compiling and building this on F10 i386. Everything seems to be fine except for 2 issues.

X rpmlint must be run on every package. The output:

taglib-extras-0.1-2.fc10.src.rpm:
  1 packages and 0 specfiles checked; 0 errors, 0 warnings.

taglib-extras-0.1-2.fc10.i386.rpm:
  1 packages and 0 specfiles checked; 0 errors, 0 warnings.

taglib-extras-devel-0.1-2.fc10.i386.rpm:
  taglib-extras-devel.i386: W: no-documentation
  taglib-extras-devel.i386: W: no-dependency-on taglib-extras/taglib-extras-libs/libtaglib-extras
  1 packages and 0 specfiles checked; 0 errors, 2 warnings.

taglib-extras-debuginfo-0.1-3.fc10.i386.rpm:
  1 packages and 0 specfiles checked; 0 errors, 0 warnings.

- The package is named according to the Package Naming Guidelines.
- The spec file name matches the base package.
- The package meets the Packaging Guidelines.
- The package is licensed with a Fedora approved license and meet the Licensing Guidelines.
- The License field in the package spec file matches the actual license.
- The spec file is written in American English.
- The spec file for the package is legible.
X The sources used to build the package must match the upstream source, as provided in the spec URL:

Source RPM:
  d173458b0c70177a07dd2017f902bf98  taglib-extras-0.1.tar.gz

Upstream source:
  c6d32e4f203768a2e4b5a83c5285f0a7  taglib-extras-0.1.tar.gz

- The package successfully compiles and builds into binary rpms on at least one primary architecture.
- All build dependencies are listed in BuildRequires.
- Package stores shared library files in any of the dynamic linker's default paths, ldconfig in %post and %postun are used correctly.
- Package owns all directories that it creates. 
- Fedora package does not list a file more than once in the spec file's %files listings.
- Permissions on files must are set properly and every %files section has a %defattr(...) line.
- Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
- Package consistently uses macros.
- The package contains code, or permissable content.
- Header files are in a -devel package.
- The package contains pkgconfig (.pc) files and uses 'Requires: pkgconfig'.
- Package contains library files with a suffix, base library files are in a -devel package.
- Devel package requires the base package using a fully versioned dependency.
- Packages does not contain any .la libtool archives.
- Package is not a GUI application and does not need a %{name}.desktop file.
- Package does not change ownership of files or directories already owned by other packages.
- The package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at %install.
- All filenames in rpm packages are valid UTF-8.

Needswork?:

The no-dependency-on warning for the devel-package can probably ignored as it relies on macro's.
The md5sum of the source in the SRC RPM doesn't seem to match upstream package.

This is my first review. Any comments/suggestions are greatly appreciated.
Comment 5 Eelko Berkenpies 2009-03-24 06:01:53 EDT
I had no problems compiling and building this package on F10 i386. Everything seems to be fine except for 2 issues.

X rpmlint must be run on every package. The output:

taglib-extras-0.1-2.fc10.src.rpm:
  1 packages and 0 specfiles checked; 0 errors, 0 warnings.

taglib-extras-0.1-2.fc10.i386.rpm:
  1 packages and 0 specfiles checked; 0 errors, 0 warnings.

taglib-extras-devel-0.1-2.fc10.i386.rpm:
  taglib-extras-devel.i386: W: no-documentation
  taglib-extras-devel.i386: W: no-dependency-on taglib-extras/taglib-extras-libs/libtaglib-extras
  1 packages and 0 specfiles checked; 0 errors, 2 warnings.

taglib-extras-debuginfo-0.1-3.fc10.i386.rpm:
  1 packages and 0 specfiles checked; 0 errors, 0 warnings.

- The package is named according to the Package Naming Guidelines.
- The spec file name matches the base package.
- The package meets the Packaging Guidelines.
- The package is licensed with a Fedora approved license and meet the Licensing Guidelines.
- The License field in the package spec file matches the actual license.
- The spec file is written in American English.
- The spec file for the package is legible.
X The sources used to build the package must match the upstream source, as provided in the spec URL:

Source RPM:
  d173458b0c70177a07dd2017f902bf98  taglib-extras-0.1.tar.gz

Upstream source:
  c6d32e4f203768a2e4b5a83c5285f0a7  taglib-extras-0.1.tar.gz

- The package successfully compiles and builds into binary rpms on at least one primary architecture.
- All build dependencies are listed in BuildRequires.
- Package stores shared library files in any of the dynamic linker's default paths, ldconfig in %post and %postun are used correctly.
- Package owns all directories that it creates. 
- Fedora package does not list a file more than once in the spec file's %files listings.
- Permissions on files must are set properly and every %files section has a %defattr(...) line.
- Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
- Package consistently uses macros.
- The package contains code, or permissable content.
- Header files are in a -devel package.
- The package contains pkgconfig (.pc) files and uses 'Requires: pkgconfig'.
- Package contains library files with a suffix, base library files are in a -devel package.
- Devel package requires the base package using a fully versioned dependency.
- Packages does not contain any .la libtool archives.
- Package is not a GUI application and does not need a %{name}.desktop file.
- Package does not change ownership of files or directories already owned by other packages.
- The package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at %install.
- All filenames in rpm packages are valid UTF-8.

Needswork?:

The no-dependency-on warning for the devel-package can probably ignored as it relies on macro's.
The md5sum of the source in the SRC RPM doesn't seem to match upstream package.

This is my first review, any comments/suggestions are greatly appreciated.
Comment 6 Eelko Berkenpies 2009-03-24 06:07:07 EDT
I had no problems compiling and building this package on F10 i386. Everything seems to be fine except for 2 issues.

X rpmlint must be run on every package. The output:

taglib-extras-0.1-2.fc10.src.rpm:
  1 packages and 0 specfiles checked; 0 errors, 0 warnings.

taglib-extras-0.1-2.fc10.i386.rpm:
  1 packages and 0 specfiles checked; 0 errors, 0 warnings.

taglib-extras-devel-0.1-2.fc10.i386.rpm:
  taglib-extras-devel.i386: W: no-documentation
  taglib-extras-devel.i386: W: no-dependency-on taglib-extras/taglib-extras-libs/libtaglib-extras
  1 packages and 0 specfiles checked; 0 errors, 2 warnings.

taglib-extras-debuginfo-0.1-3.fc10.i386.rpm:
  1 packages and 0 specfiles checked; 0 errors, 0 warnings.

- The package is named according to the Package Naming Guidelines.
- The spec file name matches the base package.
- The package meets the Packaging Guidelines.
- The package is licensed with a Fedora approved license and meet the Licensing Guidelines.
- The License field in the package spec file matches the actual license.
- The spec file is written in American English.
- The spec file for the package is legible.
X The sources used to build the package must match the upstream source, as provided in the spec URL:

Source RPM:
  d173458b0c70177a07dd2017f902bf98  taglib-extras-0.1.tar.gz

Upstream source:
  c6d32e4f203768a2e4b5a83c5285f0a7  taglib-extras-0.1.tar.gz

- The package successfully compiles and builds into binary rpms on at least one primary architecture.
- All build dependencies are listed in BuildRequires.
- Package stores shared library files in any of the dynamic linker's default paths, ldconfig in %post and %postun are used correctly.
- Package owns all directories that it creates. 
- Fedora package does not list a file more than once in the spec file's %files listings.
- Permissions on files must are set properly and every %files section has a %defattr(...) line.
- Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
- Package consistently uses macros.
- The package contains code, or permissable content.
- Header files are in a -devel package.
- The package contains pkgconfig (.pc) files and uses 'Requires: pkgconfig'.
- Package contains library files with a suffix, base library files are in a -devel package.
- Devel package requires the base package using a fully versioned dependency.
- Packages does not contain any .la libtool archives.
- Package is not a GUI application and does not need a %{name}.desktop file.
- Package does not change ownership of files or directories already owned by other packages.
- The package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at %install.
- All filenames in rpm packages are valid UTF-8.

Needswork?:

The no-dependency-on warning for the devel-package can probably ignored as it relies on macro's.
The md5sum of the source in the SRC RPM doesn't seem to match upstream package.

This is my first review, any comments/suggestions are greatly appreciated.
Comment 7 Eelko Berkenpies 2009-03-24 06:16:03 EDT
I had no problems compiling and building this package on F10 i386. Everything seems to be fine except for 2 issues.

X rpmlint must be run on every package. The output:

taglib-extras-0.1-2.fc10.src.rpm:
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

taglib-extras-0.1-2.fc10.i386.rpm:
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

taglib-extras-devel-0.1-2.fc10.i386.rpm:
taglib-extras-devel.i386: W: no-documentation
taglib-extras-devel.i386: W: no-dependency-on taglib-extras/taglib-extras-libs/libtaglib-extras
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

taglib-extras-debuginfo-0.1-3.fc10.i386.rpm:
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

- The package is named according to the Package Naming Guidelines.
- The spec file name matches the base package.
- The package meets the Packaging Guidelines.
- The package is licensed with a Fedora approved license and meet the Licensing Guidelines.
- The License field in the package spec file matches the actual license.
- The spec file is written in American English.
- The spec file for the package is legible.
X The sources used to build the package must match the upstream source, as provided in the spec URL:

Source RPM:
d173458b0c70177a07dd2017f902bf98 - taglib-extras-0.1.tar.gz

Upstream source:
c6d32e4f203768a2e4b5a83c5285f0a7 - taglib-extras-0.1.tar.gz

- The package successfully compiles and builds into binary rpms on at least one primary architecture.
- All build dependencies are listed in BuildRequires.
- Package stores shared library files in any of the dynamic linker's default paths, ldconfig in %post and %postun are used correctly.
- Package owns all directories that it creates.
- Fedora package does not list a file more than once in the spec file's %files listings.
- Permissions on files must are set properly and every %files section has a %defattr(...) line.
- Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
- Package consistently uses macros.
- The package contains code, or permissable content.
- Header files are in a -devel package.
- The package contains pkgconfig (.pc) files and uses 'Requires: pkgconfig'.
- Package contains library files with a suffix, base library files are in a -devel package.
- Devel package requires the base package using a fully versioned dependency.
- Packages does not contain any .la libtool archives.
- Package is not a GUI application and does not need a %{name}.desktop file.
- Package does not change ownership of files or directories already owned by other packages.
- The package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at %install.
- All filenames in rpm packages are valid UTF-8.

Needswork?:

The no-dependency-on warning for the devel-package can probably ignored as it relies on macro's.

The md5sum of the source in the SRC RPM doesn't seem to match upstream package.

This is my first review, any comments/suggestions are greatly appreciated.
Comment 8 Eelko Berkenpies 2009-03-24 06:36:47 EDT
Wow. Sorry for the spam. Bugzilla went bezerk on posting my comments. I was getting 502 proxy errors without any confirmation that my comment was processed. Apparently they all have thought.

Again, sorry for that.
Comment 9 Rex Dieter 2009-03-24 09:40:07 EDT
Eelko, you can't do an official review yet, since you're not sponsored.  (resetting bz assignment and review flags).  For full disclosure, I agreed to sponsor and comaintain in exchange for help reviewing this (and a good review it was, thanks).

%changelog
* Tue Mar 24 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.1-4
- (re)fetch upstream tarball

c6d32e4f203768a2e4b5a83c5285f0a7   taglib-extras-0.1.tar.gz

Spec URL:
http://rdieter.fedorapeople.org/pkg-reviews/taglib-extras/taglib-extras.spec
SRPM URL:

http://rdieter.fedorapeople.org/pkg-reviews/taglib-extras/taglib-extras-0.1-4.fc10.src.rpm
Comment 10 Kevin Kofler 2009-03-24 13:00:18 EDT
> taglib-extras-devel.i386: W: no-documentation

This one is harmless.

> taglib-extras-devel.i386: W: no-dependency-on taglib-extras/taglib-extras-libs/libtaglib-extras

This is because rpmlint doesn't understand %{?_isa} yet.
Comment 11 Kevin Kofler 2009-03-24 13:09:50 EDT
Well, Eelko has already checked everything. :-) I've also read through the specfile and found no remaining issues.

APPROVED
Comment 12 Rex Dieter 2009-03-24 13:16:53 EDT
New Package CVS Request
=======================
Package Name: taglib-extras
Short Description: Taglib support for other formats
Owners: rdieter
Branches: F-9 F-10
Comment 13 Kevin Fenzi 2009-03-24 13:27:03 EDT
cvs done.
Comment 14 Fedora Update System 2009-05-12 17:41:57 EDT
taglib-extras-0.1.2-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/taglib-extras-0.1.2-1.fc9
Comment 15 Fedora Update System 2009-05-13 22:52:36 EDT
taglib-extras-0.1.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Rex Dieter 2012-07-13 11:51:12 EDT
Package Change Request
======================
Package Name: taglib-extras
New Branches: el6
Owners: rdieter
InitialCC:
Comment 17 Jason Tibbitts 2012-07-13 18:52:13 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.